version: '2.2'
services:

  nginx:
    build:
      context: ./nginx
      dockerfile: Dockerfile.dev
    image: registry.yaltik.net/nginx:odoodev

  caddy:
    build:
      context: ./caddy
      dockerfile: Dockerfile.dev
    image: registry.yaltik.net/caddy:odoodev

  caddy16:
    build:
      context: ./caddy
      dockerfile: Dockerfile.16.dev
    image: registry.yaltik.net/caddy:odoodev16

  odoo8c7dev:
    build:
      context: ./odoo
      dockerfile: Dockerfile.8.centos7.dev
    image: registry.yaltik.net/odoodev:yaltik8c7

  odoodev10c7:
    build:
      context: ./odoo
      dockerfile: Dockerfile.10.centos7.dev
    image: registry.yaltik.net/odoodev:yaltik10c7

  # odoodev12:
  #   build:
  #     context: ./odoo
  #     dockerfile: Dockerfile.12.dev
  #   image: registry.yaltik.net/odoodev:yaltik12

  odoodev12ol8:
    build:
      context: ./odoo
      dockerfile: Dockerfile.12.ol8.dev
    image: registry.yaltik.net/odoodev:yaltik12ol8

  odoodev14:
    build:
      context: ./odoo
      dockerfile: Dockerfile.14.dev
    image: registry.yaltik.net/odoodev:yaltik14

  odoodev15:
    build:
      context: ./odoo
      dockerfile: Dockerfile.15.dev
    image: registry.yaltik.net/odoodev:yaltik15

  odoodev16:
    build:
      context: ./odoo
      dockerfile: Dockerfile.16.dev
    image: registry.yaltik.net/odoodev:yaltik16

  # flectradev:
  #   build:
  #     context: ./flectra
  #     dockerfile: Dockerfile.dev
  #   image: registry.yaltik.net/flectradev:yaltik1pg96

  # flectradevpg10:
  #   build:
  #     context: ./flectra
  #     dockerfile: Dockerfile.dev.pg10
  #   image: registry.yaltik.net/flectradev:yaltik1pg10
